NumberModel (FreeMarker 2.3.35 API)
Description: declaration: package: freemarker.ext.beans, class: NumberModel

Package freemarker.ext.beans

# Class NumberModel

java.lang.Object
freemarker.ext.beans.BeanModel
freemarker.ext.beans.NumberModel

All Implemented Interfaces:
  `WrapperTemplateModel`, `AdapterTemplateModel`, `TemplateHashModel`, `TemplateHashModelEx`, `TemplateModel`, `TemplateModelWithAPISupport`, `TemplateNumberModel`

public class NumberModel extends BeanModel implements TemplateNumberModel
Wraps arbitrary subclass of `Number` into a reflective model. Beside acting as a `TemplateNumberModel`, you can call all Java methods on these objects as well.

- ## Field Summary

  ### Fields inherited from class freemarker.ext.beans.BeanModel

  `object, wrapper`

  ### Fields inherited from interface freemarker.template.TemplateModel

  `NOTHING`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NumberModel​(Number number, BeansWrapper wrapper)`
  Creates a new model that wraps the specified number object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Number`
  `getAsNumber()`
  Returns the numeric value.

  ### Methods inherited from class freemarker.ext.beans.BeanModel

  `get, get, getAdaptedObject, getAPI, getBeforeMethodCall, getWrappedObject, hasPlainGetMethod, invokeGenericGet, isEmpty, keys, keySet, size, toString, unwrap, values, wrap`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NumberModel

    public NumberModel​(Number number, BeansWrapper wrapper)
    Creates a new model that wraps the specified number object.
    Parameters:
      `number` - the number object to wrap into a model.
      `wrapper` - the `BeansWrapper` associated with this model. Every model has to have an associated `BeansWrapper` instance. The model gains many attributes from its wrapper, including the caching behavior, method exposure level, method-over-item shadowing policy etc.

- ## Method Details

  - ### getAsNumber

    public Number getAsNumber()
    Description copied from interface: `TemplateNumberModel`
    Returns the numeric value. The return value must not be `null`.
    Specified by:
      `getAsNumber` in interface `TemplateNumberModel`
    Returns:
      the `Number` instance associated with this number model.